Subject: G94 freq iterations SUMMARY(again)

From: Elmar Gerwalin <[email-masked]>
Date: Thu, 17 Jul 1997 10:22:24 +0200

(Sorry, but  my first summary email was truncated into several single 
mailfiles, so here's the complete (updated) summary)

(I asked : 
  How much steps including the output line
  "Re-enter D2Numr: IAtom=  1 IXYZ=2 IStep= 1."
  does a G94 calculation " B3LYP freq=(numer,restart)"
  (using Cs symmetry) perform ?
)

Thanks for all who answered !
Here's the summary (on your request)

The "opinions" cover the range from 

 3N*1 "mostly" to 7N  steps.

I can't give a correct answer now, just read the following statements 
that were sent to me.
It hasn't become clear (to me) why G94 "mostly" does 6 (or 7) steps 
for each atom, only 5 steps for atoms lying in the symmetry plane
and why my job performs 6  steps for ANY atom, although working in
Cs symmetry.
I will go on checking that out and perhaps tell you soon!

------ here's the summary ------

1.) 3N to 6N
 
--From [email-masked]  Fri Jul 11 13:49:59 1997

It's easy: N atoms, 3 cartesian coordinates each, 1 step
most of the time, 2 steps if g94 finds one is not sufficient.
Hence the number of calcs will be somewhere between
3N and 6N.

2.) 6N(+1), decreased by symmetry, 5 or 6 steps per atom

For example, in the case of CH2 molecule, Gaussian calculates 
force constants like next 10 steps.

1  The SCF and gradient calculation at the equilibrium point.
2  Re-enter D2Numr: IAtom=  1 IXYZ=1 IStep= 1.   Carbon  X axis  + direction
3  Re-enter D2Numr: IAtom=  1 IXYZ=2 IStep= 1.   Carbon  Y axis  + direction
4  Re-enter D2Numr: IAtom=  1 IXYZ=3 IStep= 1.   Carbon  Z axis  + direction
5  Re-enter D2Numr: IAtom=  1 IXYZ=3 IStep= 2.   Carbon  Z axis  - direction
6  Re-enter D2Numr: IAtom=  2 IXYZ=1 IStep= 1.   hydrogen X axis + direction
7  Re-enter D2Numr: IAtom=  2 IXYZ=2 IStep= 1.   hydrogen Y axis + direction
8  Re-enter D2Numr: IAtom=  2 IXYZ=2 IStep= 2.   hydrogen Y axis - direction
9  Re-enter D2Numr: IAtom=  2 IXYZ=3 IStep= 1.   hydrogen Z axis + direction
10 Re-enter D2Numr: IAtom=  2 IXYZ=3 IStep= 2.   hydrogen Z axis - direction

The number of steps are 6N+1, (N=number of atom). 
But, symmetry(for example C2V) can decrease the number 
to 10(from 19). The skipped 9 steps are,

1  Re-enter D2Numr: IAtom=  1 IXYZ=1 IStep= 2.   
2  Re-enter D2Numr: IAtom=  1 IXYZ=2 IStep= 2.   
3  Re-enter D2Numr: IAtom=  2 IXYZ=1 IStep= 2.   
4  Re-enter D2Numr: IAtom=  3 IXYZ=1 IStep= 1.   
5  Re-enter D2Numr: IAtom=  3 IXYZ=1 IStep= 2.   
6  Re-enter D2Numr: IAtom=  3 IXYZ=2 IStep= 1.   
7  Re-enter D2Numr: IAtom=  3 IXYZ=2 IStep= 2.   
8  Re-enter D2Numr: IAtom=  3 IXYZ=3 IStep= 1.   
9  Re-enter D2Numr: IAtom=  3 IXYZ=3 IStep= 2.   

In the case of triatomic molecule XMY(Cs symmetry) is calculated, 
the required number of steps is 16,

1  The SCF and gradient calculation at the equilibrium point.
2  Re-enter D2Numr: IAtom=  1 IXYZ=1 IStep= 1.
3  Re-enter D2Numr: IAtom=  1 IXYZ=1 IStep= 2.
4  Re-enter D2Numr: IAtom=  1 IXYZ=2 IStep= 1.
5  Re-enter D2Numr: IAtom=  1 IXYZ=2 IStep= 2.
6  Re-enter D2Numr: IAtom=  1 IXYZ=3 IStep= 1.
7  Re-enter D2Numr: IAtom=  2 IXYZ=1 IStep= 1.
8  Re-enter D2Numr: IAtom=  2 IXYZ=1 IStep= 2.
9  Re-enter D2Numr: IAtom=  2 IXYZ=2 IStep= 1.
10 Re-enter D2Numr: IAtom=  2 IXYZ=2 IStep= 2.
11 Re-enter D2Numr: IAtom=  2 IXYZ=3 IStep= 1.
12 Re-enter D2Numr: IAtom=  3 IXYZ=1 IStep= 1.
13 Re-enter D2Numr: IAtom=  3 IXYZ=1 IStep= 2.
14 Re-enter D2Numr: IAtom=  3 IXYZ=2 IStep= 1.
15 Re-enter D2Numr: IAtom=  3 IXYZ=2 IStep= 2.
16 Re-enter D2Numr: IAtom=  3 IXYZ=3 IStep= 1.

3.) 6N, decreased by symmetry, 5 steps for atoms on the
                               symmetry plane, 6 others

--From: Carola Begemann <[email-masked]>

Hallo Elmar
In C1 Symmetrie( d.h. ohne Symmetrie) fuer jedes Atom
im Molekuel 6 Schritte (zwei je Koordinate:x, y, z).
(2. Ableitung der Energie nach der Auslenkung)
Mit Symmetrie entsprechend weniger.
Cs hat eine Spiegelebene, also halb so viel,
wenn kein Atom auf der Spiegelebene liegt,
fuer jedes Atom in der Spiegelebene nur 5 statt 6
Schritte.

----------------------------------------------
    Carola Begemann
    email: [email-masked]
    adress: Leuchte 21a, 32657 Lemgo, Germany
----------------------------------------------

--From: [email-masked] (Mike Frisch)
Without symmetry G94 must do + and - displacements of each of x, y, and z
for each atom, plus the energy and gradient at the input geometry, for
a total of 6*N+1.  Cs symmetry helps in one of two ways:

1) For an atom in the plane of symmetry (say, the xy plane) then
displacements above and below the plane (+z and -z) give related
contributions (have gradients related by a reflection), so that only one of
them need be done and thus 5 points are required.  2) For pairs of atoms
related by symmetry (above and below the plane) the displacements of one
atoms can be related to the other, so only one atom need be moved.  All 6 of
its displacements are required.

So for Cs symmetry the number of gradient points is 6*I + 5*J + 1, where I
is the number of symmetrically related pairs of atoms and J is the number of
atoms in the plane (i.e. N=2*I+J is the total number of atoms).

The same sort of reasoning applies for higher point groups, with each atom
displaced 0, 3, 4, 5 or 6 times depending on whether is is symmetrically
related to an earlier atom, at the center of symmetry, on certain axes
(e.g., the C2 axis in a C2v molecule), in just a plane of symmetry, or none
of the above, respectively.

Mike Frisch

4.) 7N

--From [email-masked]  Fri Jul 11 14:53:44 1997
--From: "Nathaniel (noj) Malcolm" <[email-masked]>

 ...

[a very rough rule of thumb would say that (given analytical
gradients - and no symmetry) for each atom you will need about 7
gradient calculations - finite differences in 3D]

5.) in general:

--From [email-masked]  Mon Jul 14 21:25:35 1997

I thought you would be inundated with correct answers so
I didn't bother answering.  You can find this information in
any text on numerical analysis of partial differential equations.

Basically, if the method has implemented gradients and
properly implemented symmetry, you will need two
points for each symmetric frequency computation and
one for each asymmetric frequency.  This assumes that
the program does not repeat the calculation of the reference
geometry, which you will need.

If gradients are not available and the program is calculating
frequencies only with energies, you will need at least
two points for symmetric frequencies and four points for
asymmetric ones.  Again, you will also need one point as 
the reference.

All of these numerical approximations are the minimum number
of calculations possible with an error of O(h^2).  This generally is
unacceptable for optimizations, but seems to be the standard for frequency
analysis.  

For further information, see the sections appropriate to numerical
approximation of partial derviatives via central difference methods
in:
Handbook of Mathmatical Functions with Formulas, Graphs, and Mathematical
Tables by M. Abramowitz and I. A. Stegun

Elementary Numerical Analysis: an algorithmic approach by S.D. Conte
and C. de Boor

Applied Numerical Methods by B. Carnahan, H. A. Luther, and J.O. Wilkes

Applied Numerical Methods with Personal Computers by A. Constantinides

Hope I could be of some help.

Jeff

Jeffrey C. Stephens
Center for Computational Quantum Chemistry
University of Georgia
Athens, GA 30602

(706) 542 - 7732
[email-masked]
http://zopyros.ccqc.uga.edu/~jeffs/home.html

------ end of this summary -----

If you have further comments, please post them to me or the CCC mailing list.
Thanks
Bye
Elmar
=================================================
Elmar Gerwalin ,   University of Kaiserslautern, Germany
                   Dept. of Theoretical Chemistry
   
  (coming soon:  http://iris2.chemie.uni-kl.de )

Please send mail to: [email-masked]
===================================================